Bug 62112 - failed update showed up as ok update in rhn
failed update showed up as ok update in rhn
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-27 11:38 EST by adler
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-17 14:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adler 2002-03-27 11:38:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
an update of htdig-web failed to update, yet it claims that it worked ok in rhn

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.schedule my system to have htdig-web be updated
2.run rhn_check -v to spead up the update process, (i.e. not
wait for the rhnsd internval to come around which kicks off
rhn_check)
3.watch it fail
4.Go to rhn and check on the status of the update, see that it said it was ok.
	

Additional info:

finall stuff.... Here is the output of the rhn_check

[root@newadler rhn]# rhn_check -v
handle_action actionid = 2547515, version = 2
htdig-web-3.2.0-1.b4.0.72.i  Retrieved.
Preparing...                 
Installing /var/spool/up2date/htdig-web-3.2.0-1.b4.0.72.i386.rpm...
error: unpacking of archive failed on file /var/www/html/htdig: cpio: rename
failed - Is a directory
Sending back response: (0, 'Packages were installed successfully', {})
handle_action actionid = 2567801, version = 2
htdig-web-3.2.0-1.b4.0.72.i  Retrieved.
Preparing...                 
Installing /var/spool/up2date/htdig-web-3.2.0-1.b4.0.72.i386.rpm...
error: unpacking of archive failed on file /var/www/html/htdig: cpio: rename
failed - Is a directory
Sending back response: (0, 'Packages were installed successfully', {})

Good luck with this one!
Comment 1 Adrian Likins 2002-03-27 15:57:32 EST
This appears to be an issue with rpm silently failing in the
package install phase. 

The data that updates the website is based on a delta of the packages
removed/added, but in these cases, this data is bogus. 

The fixes seem to be to fix rpm to not fail this way, and to 
calculate the package list deltas from the equilivent of "rpm
-qa before up2date" and "rpm -qa after up2date"

 instead of "rpm -qa before up2date" + the packages that
rpm claims it installed. 

Some work has already been started on fixing rpm to handle
these cases better.
Comment 2 Adrian Likins 2002-05-08 19:03:15 EDT
This should be fixed in the versions of the client in 7.3
Comment 3 Josef Komenda 2002-07-17 14:38:44 EDT
What is it about your system that won't allow htdig to be installed? I can't
replicate the error (htdig installs successfully), so I can't replicate. Also,
what version of RH Linux are you running, platform, etc...
Comment 4 Josef Komenda 2002-08-14 15:10:44 EDT
No updates for a month, unable to duplicate, will presume that latest up2date
and rpm fix this. Closing.

Note You need to log in before you can comment on or make changes to this bug.